TileSpec Class Reference

Specification of one tile. More...

## Public Attributes

int | width
| Width of tile.
int | height
| Height of tile.
int | amount
| Number of tiles.
const char * | tile
| Picture of tile.

## Detailed Description

Specification of one tile.

This structure can be used to specify a tile with specified width and height, number of such tiles (all with unique values), and a char-array tile showing the tile in row-major order.

Definition at line 52 of file pentominoes.cpp.

## Member Data Documentation

## width

int TileSpec::width

Width of tile.

Definition at line 54 of file pentominoes.cpp.

## height

int TileSpec::height

Height of tile.

Definition at line 55 of file pentominoes.cpp.

## amount

int TileSpec::amount

Number of tiles.

Definition at line 56 of file pentominoes.cpp.

## tile

const char* TileSpec::tile

Picture of tile.

Definition at line 57 of file pentominoes.cpp.

The documentation for this class was generated from the following file:

- examples/pentominoes.cpp